This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | JSONObject
Name | ### setJSONObject()
Examples |
    JSONObject json;

    void setup() {

      json = new JSONObject();

      JSONObject lion = new JSONObject();
      lion.setInt("id", 0);
      lion.setString("species", "Panthera leo");

      json.setJSONObject("lion", lion);

      println(json);
    }

    // Sketch prints:
    // {"lion": {
    //   "id": 0,
    //   "species": "Panthera leo"
    // }}
Description | Sets the value of the JSONObject with the associated key.
Syntax |
    .setJSONObject(key, value)
Parameters |
key | String: a key string
value | JSONObject: value to assign
Returns | JSONObject
Related | setJSONArray() getJSONObject() getJSONArray()

Updated on October 26, 2013 08:58:33pm PDT